Subject: Re: bug#70898: switching to <stdbit.h> for Emacs bit ops

From: Mattias Engdegård <[email-masked]>
Date: Tue, 14 May 2024 13:11:53 +0200

13 maj 2024 kl. 18.56 skrev Paul Eggert <[email-masked]>:

> (porting to theoretical platforms where C integers are wider than 256 bits!)

Impressive! Now all we need is a run-time parametrisable C compiler that can use arbitrary integer sizes, so that your work can be tested.
(Actually that would be incredibly useful for portability work, if only.)

> Yes, that text is weird and I also didn't have a clue as to what it meant. So I cloned latest glibc+gcc behavior and hoped for the best.

Indeed I misunderstood the text and the stdc_find_{first,last} functions look pretty useless. Good to know.